import { Brush } from "igniteui-react-core";
import { XYChart } from "./XYChart";
import { DomWrapper } from "igniteui-react-core";
import { EventArgs, IList, Type } from "igniteui-react-core";
import { IZoomSlider } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { DataSeriesType } from "igniteui-react-core";
import { IDataSeriesAdapterRule } from "igniteui-react-core";
import { XamDataChart } from "./XamDataChart";
import { DomainType } from "./DomainType";
import { FinancialChartVolumeType } from "./FinancialChartVolumeType";
import { FinancialChartXAxisMode } from "./FinancialChartXAxisMode";
import { FinancialChartYAxisMode } from "./FinancialChartYAxisMode";
import { FinancialChartType } from "./FinancialChartType";
import { HorizontalAlignment } from "igniteui-react-core";
import { FinancialIndicatorTypeCollection } from "./FinancialIndicatorTypeCollection";
import { FinancialOverlayTypeCollection } from "./FinancialOverlayTypeCollection";
import { FinancialChartZoomSliderType } from "./FinancialChartZoomSliderType";
import { BrushCollection } from "igniteui-react-core";
import { IndicatorDisplayTypeCollection } from "./IndicatorDisplayTypeCollection";
import { FinancialChartRangeSelectorOptionCollection } from "./FinancialChartRangeSelectorOptionCollection";
import { CustomIndicatorNameCollection } from "./CustomIndicatorNameCollection";
import { IChartLegend } from "igniteui-react-core";
import { ObservableCollection$1 } from "igniteui-react-core";
import { TemplatedHtmlControl } from "./TemplatedHtmlControl";
import { FinancialChartContext } from "./FinancialChartContext";
import { FinancialChartToolbarContext } from "./FinancialChartToolbarContext";
import { FinancialChartToolbarViewModel } from "./FinancialChartToolbarViewModel";
import { Series } from "./Series";
import { Axis } from "./Axis";
import { DataSeries } from "igniteui-react-core";
import { AxisLabelSettings } from "./AxisLabelSettings";
import { MarkerType } from "./MarkerType";
import { IZoomableCategoryAxis } from "./IZoomableCategoryAxis";
import { TitleSettings } from "./TitleSettings";
import { FinancialChartCustomIndicatorArgs } from "./FinancialChartCustomIndicatorArgs";
import { FinancialChartTypePicker } from "./FinancialChartTypePicker";
import { FinancialChartIndicatorMenu } from "./FinancialChartIndicatorMenu";
import { TrendLineType } from "igniteui-react-core";
import { FinancialChartToolbarVisualData } from "./FinancialChartToolbarVisualData";
import { FinancialChartRangeSelectorViewModel } from "./FinancialChartRangeSelectorViewModel";
import { FinancialChartRangeSelectorVisualData } from "./FinancialChartRangeSelectorVisualData";
/**
 * @hidden
 */
export declare class FinancialChart extends XYChart {
    static $t: Type;
    protected s0(a: string, b: any, c: any): void;
    private alf;
    private ale;
    private alb;
    private alo;
    private aet;
    provideGrid(a: DomWrapper): void;
    onDocumentClick(a: Event): void;
    private ahr;
    private ahp;
    private ahm;
    private aho;
    private ahq;
    private ahn;
    getContext(): FinancialChartContext;
    provideContainer(a: any): void;
    private alz;
    private amd;
    private akv;
    private amb;
    setGridRows(): void;
    protected r9(): void;
    private alv;
    private alw;
    private al5;
    private aku;
    private all;
    protected r6(a: XamDataChart): void;
    private amg;
    private amj;
    private amh;
    private ami;
    ag3(): number;
    si(source_: any, a: number, b: any): void;
    sj(source_: any, a: number, b: any): void;
    sh(source_: any): void;
    sl(source_: any, a: number, b: any, c: any): void;
    protected sc(a: Series, b: number): void;
    private adz;
    private get ad0();
    private set ad0(value);
    private ah9;
    get aig(): any;
    set aig(a: any);
    private aia;
    get aih(): any;
    set aih(a: any);
    private ah6;
    get aid(): any;
    set aid(a: any);
    private aib;
    get aii(): any;
    set aii(a: any);
    private aic;
    get aij(): any;
    set aij(a: any);
    private ah7;
    get aie(): any;
    set aie(a: any);
    private ah8;
    get aif(): any;
    set aif(a: any);
    private afh;
    get afi(): IZoomSlider;
    set afi(a: IZoomSlider);
    protected get_im(): number;
    protected set_im(a: number): void;
    protected get_f2(): boolean;
    protected set_f2(a: boolean): void;
    private agr;
    get ag8(): number;
    set ag8(a: number);
    constructor();
    protected v4(): Axis;
    protected v5(): Axis;
    onAttachedToUI(): void;
    onDetachedFromUI(): void;
    protected bc(a: DataSeries): DataSeriesType;
    protected get_gr(): List$1<DataSeriesType>;
    protected get gr(): List$1<DataSeriesType>;
    protected get_gq(): List$1<IDataSeriesAdapterRule>;
    protected get gq(): List$1<IDataSeriesAdapterRule>;
    private adm;
    private ae0;
    private adl;
    protected rn(): void;
    protected rj(a: Series, b: number): void;
    protected cq(a: Series): MarkerType;
    protected tg(a: DataSeries): void;
    protected tj(): void;
    private ad4;
    private ad3;
    private aed;
    private ad6;
    private ais;
    private adn;
    private ae1;
    private ae7;
    private ae8;
    private ae6;
    private ae9;
    private get afq();
    private aen;
    private get aeo();
    private get aft();
    private ael;
    private get aem();
    private get afr();
    private aep;
    private get aeq();
    private get afs();
    private aeu;
    private get aev();
    protected c1(a: DataSeries, b: DataSeriesType): Series;
    protected ti(): void;
    protected abg(a: (arg1: Axis) => void, b: string): void;
    protected abl(a: (arg1: Axis) => void, b: boolean): void;
    protected aln(a: (arg1: IZoomableCategoryAxis) => void): void;
    protected abj(a: (arg1: TitleSettings) => void): void;
    protected abo(a: (arg1: TitleSettings) => void): void;
    protected abm(a: (arg1: AxisLabelSettings) => void): void;
    protected abh(a: (arg1: AxisLabelSettings) => void): void;
    protected r5(a: XamDataChart): void;
    private static ah4;
    private aik;
    private ajn;
    private ak5;
    private akr;
    private aks;
    private akx;
    private ak0;
    private aky;
    private akz;
    private ak1;
    private ahy;
    protected rv(a: (arg1: Series, arg2: number) => void): void;
    private afd;
    private get volumeChart();
    private set volumeChart(value);
    private alq;
    private afu;
    private afy;
    private afv;
    private afx;
    private alp;
    private afa;
    private afc;
    private al7;
    j9(): any;
    aip(): string;
    private afb;
    private al6;
    private af3;
    private al4;
    protected r2(): void;
    protected get_f8(): boolean;
    protected get af9(): boolean;
    private amc;
    private alr;
    protected sq(a: (arg1: XamDataChart) => void, b: boolean, c: string): void;
    private ak3;
    private al0;
    private get af8();
    private ak4;
    private afz;
    private alu;
    private ak8;
    private ald;
    private alc;
    private ak6;
    private ak7;
    private alh;
    private alk;
    private ali;
    private akt;
    private aly;
    private ama;
    private ak9;
    private al8;
    private af2;
    private alg;
    private ak2;
    private al2;
    private al1;
    private alt;
    private ala;
    private aga;
    private al9;
    private akw;
    private al3;
    protected to(a: Series, b: Series, c: DataSeries): void;
    private air;
    protected abb(a: Axis): void;
    protected abd(a: Axis): void;
    private alj;
    protected sa(a: Series, b: number): void;
    protected sw(a: string, b: any, c: any): void;
    protected get_b1(): DomainType;
    get b1(): DomainType;
    private afp;
    get af7(): boolean;
    set af7(a: boolean);
    private ahx;
    get ah5(): number;
    set ah5(a: number);
    private agy;
    get ahh(): number;
    set ahh(a: number);
    private ag0;
    get ahj(): number;
    set ahj(a: number);
    private agz;
    get ahi(): number;
    set ahi(a: number);
    private ag1;
    get ahk(): number;
    set ahk(a: number);
    get ahg(): number;
    get ahf(): number;
    private ad5;
    get ad7(): FinancialChartVolumeType;
    set ad7(a: FinancialChartVolumeType);
    private ad8;
    get ad9(): FinancialChartXAxisMode;
    set ad9(a: FinancialChartXAxisMode);
    private agt;
    get aha(): number;
    set aha(a: number);
    private agw;
    get ahd(): number;
    set ahd(a: number);
    private agu;
    get ahb(): number;
    set ahb(a: number);
    private agv;
    get ahc(): number;
    set ahc(a: number);
    private agx;
    get ahe(): number;
    set ahe(a: number);
    private aea;
    get aeb(): FinancialChartYAxisMode;
    set aeb(a: FinancialChartYAxisMode);
    private afk;
    get af0(): boolean;
    set af0(a: boolean);
    private ad1;
    get ad2(): FinancialChartType;
    set ad2(a: FinancialChartType);
    protected get_abu(): HorizontalAlignment;
    protected set_abu(a: HorizontalAlignment): void;
    private afl;
    get af1(): boolean;
    set af1(a: boolean);
    private aef;
    get aeg(): FinancialIndicatorTypeCollection;
    set aeg(a: FinancialIndicatorTypeCollection);
    private aeh;
    get aei(): FinancialOverlayTypeCollection;
    set aei(a: FinancialOverlayTypeCollection);
    private agc;
    private get indicatorCharts();
    private set indicatorCharts(value);
    private afn;
    get af5(): boolean;
    set af5(a: boolean);
    protected get_iv(): number;
    protected set_iv(a: number): void;
    private static readonly aj0;
    private afm;
    get af4(): boolean;
    set af4(a: boolean);
    private static readonly akb;
    private afo;
    get af6(): boolean;
    set af6(a: boolean);
    private afe;
    get zoomSliderChart(): XamDataChart;
    set zoomSliderChart(a: XamDataChart);
    private aez;
    private get zoomSliderAxis();
    private set zoomSliderAxis(value);
    private adk;
    private get zoomSliderXAxis();
    private set zoomSliderXAxis(value);
    private aec;
    get aee(): FinancialChartZoomSliderType;
    set aee(a: FinancialChartZoomSliderType);
    private ac3;
    get adb(): BrushCollection;
    set adb(a: BrushCollection);
    private ac4;
    get adc(): BrushCollection;
    set adc(a: BrushCollection);
    private ac5;
    get add(): BrushCollection;
    set add(a: BrushCollection);
    private ac6;
    get ade(): BrushCollection;
    set ade(a: BrushCollection);
    private ac8;
    get adg(): BrushCollection;
    set adg(a: BrushCollection);
    private ac7;
    get adf(): BrushCollection;
    set adf(a: BrushCollection);
    private ac2;
    get ada(): BrushCollection;
    set ada(a: BrushCollection);
    private ac1;
    get ac9(): BrushCollection;
    set ac9(a: BrushCollection);
    private ags;
    get ag9(): number;
    set ag9(a: number);
    private agq;
    get ag7(): number;
    set ag7(a: number);
    private agp;
    get ag6(): number;
    set ag6(a: number);
    private ago;
    get ag5(): number;
    set ag5(a: number);
    private aer;
    get aes(): IndicatorDisplayTypeCollection;
    set aes(a: IndicatorDisplayTypeCollection);
    private aht;
    get ah0(): number;
    set ah0(a: number);
    private agn;
    get ag4(): number;
    set ag4(a: number);
    private ahw;
    get ah3(): number;
    set ah3(a: number);
    private ahu;
    get ah1(): number;
    set ah1(a: number);
    private ahs;
    get ahz(): number;
    set ahz(a: number);
    private ahv;
    get ah2(): number;
    set ah2(a: number);
    private adw;
    get ady(): FinancialChartRangeSelectorOptionCollection;
    set ady(a: FinancialChartRangeSelectorOptionCollection);
    adx: FinancialChartRangeSelectorOptionCollection;
    private ads;
    get customIndicatorNames(): CustomIndicatorNameCollection;
    set customIndicatorNames(a: CustomIndicatorNameCollection);
    applyCustomIndicators: (sender: any, e: FinancialChartCustomIndicatorArgs) => void;
    protected get_f9(): boolean;
    protected set_f9(a: boolean): void;
    private ame;
    get amf(): Brush;
    set amf(a: Brush);
    private ag2;
    get ahl(): number;
    set ahl(a: number);
    private afj;
    get afw(): boolean;
    set afw(a: boolean);
    private aej;
    get aek(): IChartLegend;
    set aek(a: IChartLegend);
    private adj;
    private get xAxis();
    private set xAxis(value);
    private aey;
    private get yAxis();
    private set yAxis(value);
    private aex;
    private get volumeAxis();
    private set volumeAxis(value);
    private adi;
    private get volumeXAxis();
    private set volumeXAxis(value);
    private aew;
    private get indicatorAxis();
    private set indicatorAxis(value);
    private adh;
    private get indicatorXAxis();
    private set indicatorXAxis(value);
    private agb;
    private get age();
    private set age(value);
    private agd;
    private get agg();
    private set agg(value);
    private agk;
    get agm(): Date;
    set agm(a: Date);
    private agj;
    get agl(): Date;
    set agl(a: Date);
    private agh;
    get xAxisBreaks(): ObservableCollection$1<any>;
}
/**
 * @hidden
 */
export declare class FinancialChartToolbar extends TemplatedHtmlControl {
    static $t: Type;
    bg(a: DomWrapper): void;
    bl(a: Event): void;
    private o;
    constructor(a: FinancialChart, b: any);
    private r;
    get s(): FinancialChartRangeSelector;
    set s(a: FinancialChartRangeSelector);
    private z;
    get aa(): FinancialChartTypePicker;
    set aa(a: FinancialChartTypePicker);
    private p;
    get q(): FinancialChartIndicatorMenu;
    set q(a: FinancialChartIndicatorMenu);
    private bm;
    private bh;
    private bi;
    private bj;
    w: FinancialChartToolbarViewModel;
    v(): FinancialChartToolbarContext;
    l(a: any): void;
    private bk;
    private aq;
    get au(): Date;
    set au(a: Date);
    private ap;
    get at(): Date;
    set at(a: Date);
    private ao;
    get as(): Date;
    set as(a: Date);
    private an;
    get ar(): Date;
    set ar(a: Date);
    rangeChanged: (sender: any, e: EventArgs) => void;
    chartTypeChanged: (sender: any, e: EventArgs) => void;
    trendLineTypeChanged: (sender: any, e: EventArgs) => void;
    volumeTypeChanged: (sender: any, e: EventArgs) => void;
    indicatorTypesChanged: (sender: any, e: EventArgs) => void;
    overlayTypesChanged: (sender: any, e: EventArgs) => void;
    bn(): void;
    private x;
    get y(): FinancialChartType;
    set y(a: FinancialChartType);
    private ah;
    get ai(): TrendLineType;
    set ai(a: TrendLineType);
    private ab;
    get ac(): FinancialChartVolumeType;
    set ac(a: FinancialChartVolumeType);
    private ad;
    get ae(): FinancialIndicatorTypeCollection;
    set ae(a: FinancialIndicatorTypeCollection);
    private af;
    get ag(): FinancialOverlayTypeCollection;
    set ag(a: FinancialOverlayTypeCollection);
    static am(a: IList, b: IList): boolean;
    aj(): FinancialChartToolbarVisualData;
    private t;
    get u(): FinancialChartRangeSelectorOptionCollection;
    set u(a: FinancialChartRangeSelectorOptionCollection);
    private ak;
    get al(): boolean;
    set al(a: boolean);
}
/**
 * @hidden
 */
export declare class FinancialChartRangeSelector extends TemplatedHtmlControl {
    static $t: Type;
    private static x;
    q: FinancialChartRangeSelectorViewModel;
    get v(): Date;
    set v(a: Date);
    get u(): Date;
    set u(a: Date);
    get t(): Date;
    set t(a: Date);
    get s(): Date;
    set s(a: Date);
    ab(): void;
    constructor(a: any);
    l(a: any): void;
    private z;
    rangeChanged: (sender: any, e: EventArgs) => void;
    r(): FinancialChartRangeSelectorVisualData;
    get o(): FinancialChartRangeSelectorOptionCollection;
    set o(a: FinancialChartRangeSelectorOptionCollection);
    private aa;
    private p;
}
